import type * as ts from "typescript";
import type { ContainerReflection, IndependentReflection, SomeContainerReflection, ProjectReflection } from "../models";
import type { Converter } from "./converter";
export declare class Context<Container extends ContainerReflection<IndependentReflection>> {
    readonly program: ts.Program;
    readonly converter: Converter;
    readonly project: ProjectReflection;
    readonly container: Container;
    get checker(): ts.TypeChecker;
    getExportsOfKind(symbol: ts.Symbol, kind: ts.SyntaxKind | ts.SyntaxKind[]): ts.Symbol[];
    getExportsWithFlag(symbol: ts.Symbol, flag: ts.SymbolFlags): ts.Symbol[];
    getExports(symbol: ts.Symbol): ts.Symbol[];
    convertChildren(children: readonly ts.Symbol[], parent: SomeContainerReflection): Promise<void>;
    withContainer<U extends SomeContainerReflection>(container: U): Context<U>;
    constructor(program: ts.Program, converter: Converter, project: ProjectReflection, container: Container);
}
