"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.functionConverter = void 0;
const ts = require("typescript");
const models_1 = require("../../models");
const signature_1 = require("./signature");
const array_1 = require("../../utils/array");
exports.functionConverter = {
    kind: [ts.SyntaxKind.FunctionDeclaration],
    async convert(context, symbol, nodes) {
        const container = new models_1.FunctionReflection(symbol.name);
        context.project.registerReflection(container, symbol);
        // With overloads, only the signatures without an implementation are real
        const includeImplementation = nodes.length === 1;
        const realNodes = nodes.filter((node) => Boolean(node.body) === includeImplementation);
        const signatures = await array_1.waterfall(realNodes, (node) => signature_1.convertSignatureDeclaration(context.converter, symbol.name, node, symbol));
        for (const signature of signatures) {
            container.addChild(signature);
        }
        return container;
    },
};
//# sourceMappingURL=function.js.map