"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addConverters = void 0;
const alias_1 = require("./alias");
const class_1 = require("./class");
const enum_1 = require("./enum");
const function_1 = require("./function");
const interface_1 = require("./interface");
const method_1 = require("./method");
const namespace_1 = require("./namespace");
const property_1 = require("./property");
const sourcefile_1 = require("./sourcefile");
const variable_1 = require("./variable");
function addConverters(converter) {
    for (const reflectionConverter of [
        property_1.accessorConverter,
        alias_1.aliasConverter,
        class_1.classConverter,
        enum_1.enumConverter,
        enum_1.enumMemberConverter,
        interface_1.interfaceConverter,
        method_1.methodConverter,
        namespace_1.namespaceConverter,
        property_1.parameterPropertyConverter,
        property_1.propertyConverter,
        function_1.functionConverter,
        sourcefile_1.sourcefileConverter,
        variable_1.variableConverter,
    ]) {
        converter.addReflectionConverter(reflectionConverter);
    }
}
exports.addConverters = addConverters;
//# sourceMappingURL=index.js.map