"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.namespaceConverter = void 0;
const ts = require("typescript");
const models_1 = require("../../models");
exports.namespaceConverter = {
    kind: [ts.SyntaxKind.ModuleDeclaration],
    async convert(context, symbol) {
        const namespace = new models_1.NamespaceReflection(symbol.name);
        context.project.registerReflection(namespace, symbol);
        await context.convertChildren(context.getExportsWithFlag(symbol, ts.SymbolFlags.ModuleMember), namespace);
        return namespace;
    },
};
//# sourceMappingURL=namespace.js.map