import * as ts from "typescript";
import * as M from "../models";
import type { Converter } from "./converter";
import { SomeType, Visibility } from "../models";
export declare function excludeUndefined(type: SomeType): SomeType;
export declare function convertTypeParameters(converter: Converter, parameters: readonly ts.TypeParameter[]): M.TypeParameterType[];
export declare function convertParameterSymbols(converter: Converter, parameters: readonly ts.Symbol[]): M.SignatureParameterType[];
export declare function convertTypeParameterDeclarations(converter: Converter, parameters: readonly ts.TypeParameterDeclaration[]): M.TypeParameterType[];
export declare function convertParameters(converter: Converter, parameters: readonly ts.ParameterDeclaration[]): M.SignatureParameterType[];
export declare function hasReadonlyModifier(declaration?: ts.Declaration): boolean;
export declare function hasQuestionToken(declaration: ts.Declaration): boolean;
export declare function hasDotDotDotToken(declaration: ts.ParameterDeclaration): boolean;
export declare function getVisibility(declaration: ts.PropertyLikeDeclaration): Visibility;
/**
 * Helper to find the project name and readme.
 */
export declare function discoverProjectInfo(rootDir: string, projectName: string, readmeFile: string, includeVersion: boolean): Promise<{
    name: string;
    readme: string;
}>;
