"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommentTag = void 0;
/**
 * A model that represents a single comment tag.
 *
 * Tags are stored in the {@link Comment.tags} property.
 */
class CommentTag {
    /**
     * Create a new CommentTag instance.
     */
    constructor(tagName, text, paramName) {
        this.tagName = tagName;
        this.text = text || "";
        this.paramName = paramName;
    }
    /**
     * Creates a copy of this tag.
     */
    clone() {
        return new CommentTag(this.tagName, this.paramName, this.text);
    }
}
exports.CommentTag = CommentTag;
//# sourceMappingURL=tag.js.map