import { ContainerReflection, ReflectionKind } from "./abstract";
import type { TopLevelReflection } from "./index";
import type { Serializer, BaseSerialized, Serialized } from "../../serialization";
/**
 * Describes a module.
 *
 * ```ts
 * // index.ts <-- module
 * export function a() {} <-- child of module
 * // or
 * module 'foo' {}
 * ```
 */
export declare class ModuleReflection extends ContainerReflection<TopLevelReflection> {
    readonly kind = ReflectionKind.Module;
    serialize(_serializer: Serializer, init: BaseSerialized<ModuleReflection>): SerializedModuleReflection;
}
export interface SerializedModuleReflection extends Serialized<ModuleReflection, never> {
}
