"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModuleReflection = void 0;
const abstract_1 = require("./abstract");
/**
 * Describes a module.
 *
 * ```ts
 * // index.ts <-- module
 * export function a() {} <-- child of module
 * // or
 * module 'foo' {}
 * ```
 */
class ModuleReflection extends abstract_1.ContainerReflection {
    constructor() {
        super(...arguments);
        this.kind = abstract_1.ReflectionKind.Module;
    }
    serialize(_serializer, init) {
        return init;
    }
}
exports.ModuleReflection = ModuleReflection;
//# sourceMappingURL=module.js.map