"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NamespaceReflection = void 0;
const abstract_1 = require("./abstract");
/**
 * Describes a namespace.
 *
 * ```ts
 * namespace Foo {}
 * module Bar {}
 * // But not
 * module 'foo' {}
 * ```
 */
class NamespaceReflection extends abstract_1.ContainerReflection {
    constructor() {
        super(...arguments);
        this.kind = abstract_1.ReflectionKind.Namespace;
    }
    serialize(_serializer, init) {
        return init;
    }
}
exports.NamespaceReflection = NamespaceReflection;
//# sourceMappingURL=namespace.js.map