import type { BaseSerialized, Serialized, Serializer } from "../../serialization";
import type { SomeType } from "../types/index";
import { Reflection, ReflectionKind } from "./abstract";
import type { ObjectReflection } from "./object";
export declare class ParameterReflection extends Reflection {
    readonly kind = ReflectionKind.Parameter;
    defaultValue?: string;
    isOptional: boolean;
    isRest: boolean;
    /**
     * The parameter type, if there is no type, defaults to `any` to conform to TypeScript's
     * behavior. Turning on `noImplicitAny` is recommended as it can prevent `any` from sneaking
     * in accidentally.
     *
     * Themes may choose to not render the type of a parameter if it is `any`.
     */
    type: SomeType | ObjectReflection;
    constructor(name: string, type: SomeType | ObjectReflection, defaultValue: string | undefined, isOptional: boolean, isRest: boolean);
    serialize(serializer: Serializer, init: BaseSerialized<ParameterReflection>): SerializedParameterReflection;
}
export interface SerializedParameterReflection extends Serialized<ParameterReflection, "type" | "defaultValue"> {
}
