"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ParameterReflection = void 0;
const abstract_1 = require("./abstract");
class ParameterReflection extends abstract_1.Reflection {
    constructor(name, type, defaultValue, isOptional, isRest) {
        super(name);
        this.kind = abstract_1.ReflectionKind.Parameter;
        this.type = type;
        this.defaultValue = defaultValue;
        this.isOptional = isOptional;
        this.isRest = isRest;
    }
    serialize(serializer, init) {
        const result = {
            ...init,
            type: serializer.toObject(this.type),
        };
        if (typeof this.defaultValue === "string") {
            result.defaultValue = this.defaultValue;
        }
        return result;
    }
}
exports.ParameterReflection = ParameterReflection;
//# sourceMappingURL=parameter.js.map