import type { SomeType } from ".";
import type { BaseSerialized, Serialized, Serializer } from "../../serialization";
import { Type, TypeKind } from "./abstract";
/**
 * Represents an indexed access type.
 */
export declare class IndexedAccessType extends Type {
    objectType: SomeType;
    indexType: SomeType;
    /** @inheritdoc */
    readonly kind = TypeKind.IndexedAccess;
    constructor(objectType: SomeType, indexType: SomeType);
    /** @inheritdoc */
    clone(): IndexedAccessType;
    /** @inheritdoc */
    stringify(): string;
    /** @inheritdoc */
    serialize(serializer: Serializer, init: BaseSerialized<IndexedAccessType>): SerializedIndexedAccessType;
}
export interface SerializedIndexedAccessType extends Serialized<IndexedAccessType, "objectType" | "indexType"> {
}
