import { Type, TypeKind, SomeType } from ".";
import type { Serializer, BaseSerialized, Serialized } from "../../serialization";
/**
 * Represents an intersection type.
 *
 * ```ts
 * let value: A & B;
 * ```
 */
export declare class IntersectionType extends Type {
    /** @inheritdoc */
    readonly kind = TypeKind.Intersection;
    /**
     * The types this intersection consists of.
     */
    types: SomeType[];
    constructor(types: SomeType[]);
    /** @inheritdoc */
    clone(): IntersectionType;
    /** @inheritdoc */
    stringify(wrapped: boolean): string;
    /** @inheritdoc */
    serialize(serializer: Serializer, init: BaseSerialized<IntersectionType>): SerializedIntersectionType;
}
export interface SerializedIntersectionType extends Serialized<IntersectionType, "types"> {
}
