import { SomeType, Type, TypeKind } from ".";
import type { BaseSerialized, Serialized, Serializer } from "../../serialization";
/**
 * Represents an optional type, `string?` in the example below.
 *
 * ```ts
 * type Z = [string?]
 * ```
 */
export declare class OptionalType extends Type {
    type: SomeType;
    /** @inheritdoc */
    readonly kind = TypeKind.Optional;
    constructor(type: SomeType);
    /** @inheritdoc */
    clone(): OptionalType;
    /** @inheritdoc */
    stringify(wrapped: boolean): string;
    /** @inheritdoc */
    serialize(serializer: Serializer, init: BaseSerialized<OptionalType>): SerializedOptionalType;
}
export interface SerializedOptionalType extends Serialized<OptionalType, "type"> {
}
