import { Type, TypeKind } from "./abstract";
import type { SomeType } from ".";
import type { Serialized, BaseSerialized, Serializer } from "../../serialization";
export declare class TupleNamedMemberType extends Type {
    name: string;
    isOptional: boolean;
    type: SomeType;
    /** @inheritdoc */
    readonly kind = TypeKind.TupleMember;
    constructor(name: string, isOptional: boolean, type: SomeType);
    /** @inheritdoc */
    clone(): TupleNamedMemberType;
    /** @inheritdoc */
    stringify(wrapped: boolean): string;
    /** @inheritdoc */
    serialize(serializer: Serializer, init: BaseSerialized<TupleNamedMemberType>): SerializedTupleNamedMemberType;
}
export interface SerializedTupleNamedMemberType extends Serialized<TupleNamedMemberType, "name" | "isOptional" | "type"> {
}
