import { Type, TypeKind } from "./abstract";
import type { Serializer, BaseSerialized, Serialized } from "../../serialization";
import type { SomeType } from ".";
/**
 * Represents a tuple type.
 *
 * ```ts
 * let value: [string, boolean];
 * ```
 */
export declare class TupleType extends Type {
    /** @inheritdoc */
    readonly kind = TypeKind.Tuple;
    /**
     * The ordered type elements of the tuple type.
     */
    elements: SomeType[];
    constructor(elements: SomeType[]);
    /** @inheritdoc */
    clone(): TupleType;
    /** @inheritdoc */
    stringify(): string;
    /** @inheritdoc */
    serialize(serializer: Serializer, init: BaseSerialized<TupleType>): SerializedTupleType;
}
export interface SerializedTupleType extends Serialized<TupleType, "elements"> {
}
