import { Type, TypeKind } from "./abstract";
import type { Serializer, BaseSerialized, Serialized } from "../../serialization";
import type { SomeType } from ".";
/**
 * Represents a type operator type.
 *
 * ```ts
 * class A {}
 * class B<T extends keyof A> {}
 * ```
 */
export declare class TypeOperatorType extends Type {
    target: SomeType;
    operator: "keyof" | "unique" | "readonly";
    /** @inheritdoc */
    readonly kind = TypeKind.TypeOperator;
    constructor(target: SomeType, operator: "keyof" | "unique" | "readonly");
    /** @inheritdoc */
    clone(): TypeOperatorType;
    /** @inheritdoc */
    stringify(): string;
    /** @inheritdoc */
    serialize(serializer: Serializer, init: BaseSerialized<TypeOperatorType>): SerializedTypeOperatorType;
}
export interface SerializedTypeOperatorType extends Serialized<TypeOperatorType, "target" | "operator"> {
}
