import { Type, TypeKind } from "./abstract";
import type { Serializer, BaseSerialized, Serialized } from "../../serialization";
/**
 * Represents a type parameter type.
 *
 * ```ts
 * function test<T extends string = 'bar'>() {
 *   // here     ^^^^^^^^^^^^^^^^^^^^^^^^
 *   let value: T;
 *   // but not ^ this is a reference
 * }
 * ```
 */
export declare class TypeParameterType extends Type {
    name: string;
    constraint?: import("./array").ArrayType | import("./conditional").ConditionalType | import("./indexed-access").IndexedAccessType | import("./inferred").InferredType | import("./intersection").IntersectionType | import("./intrinsic").IntrinsicType | import("./object").ObjectType | import("./object").PropertyType | import("./predicate").PredicateType | import("./query").QueryType | import("./reference").ReferenceType | import("./signature").SignatureType | import("./signature").ConstructorType | import("./signature").SignatureParameterType | import("./literal").LiteralType | import("./tuple").TupleType | import("./type-operator").TypeOperatorType | TypeParameterType | import("./union").UnionType | import("./unknown").UnknownType | import("./mapped").MappedType | import("./tuple-member").TupleNamedMemberType | import("./optional").OptionalType | undefined;
    defaultValue?: import("./array").ArrayType | import("./conditional").ConditionalType | import("./indexed-access").IndexedAccessType | import("./inferred").InferredType | import("./intersection").IntersectionType | import("./intrinsic").IntrinsicType | import("./object").ObjectType | import("./object").PropertyType | import("./predicate").PredicateType | import("./query").QueryType | import("./reference").ReferenceType | import("./signature").SignatureType | import("./signature").ConstructorType | import("./signature").SignatureParameterType | import("./literal").LiteralType | import("./tuple").TupleType | import("./type-operator").TypeOperatorType | TypeParameterType | import("./union").UnionType | import("./unknown").UnknownType | import("./mapped").MappedType | import("./tuple-member").TupleNamedMemberType | import("./optional").OptionalType | undefined;
    /** @inheritdoc */
    readonly kind = TypeKind.TypeParameter;
    constructor(name: string, constraint?: import("./array").ArrayType | import("./conditional").ConditionalType | import("./indexed-access").IndexedAccessType | import("./inferred").InferredType | import("./intersection").IntersectionType | import("./intrinsic").IntrinsicType | import("./object").ObjectType | import("./object").PropertyType | import("./predicate").PredicateType | import("./query").QueryType | import("./reference").ReferenceType | import("./signature").SignatureType | import("./signature").ConstructorType | import("./signature").SignatureParameterType | import("./literal").LiteralType | import("./tuple").TupleType | import("./type-operator").TypeOperatorType | TypeParameterType | import("./union").UnionType | import("./unknown").UnknownType | import("./mapped").MappedType | import("./tuple-member").TupleNamedMemberType | import("./optional").OptionalType | undefined, defaultValue?: import("./array").ArrayType | import("./conditional").ConditionalType | import("./indexed-access").IndexedAccessType | import("./inferred").InferredType | import("./intersection").IntersectionType | import("./intrinsic").IntrinsicType | import("./object").ObjectType | import("./object").PropertyType | import("./predicate").PredicateType | import("./query").QueryType | import("./reference").ReferenceType | import("./signature").SignatureType | import("./signature").ConstructorType | import("./signature").SignatureParameterType | import("./literal").LiteralType | import("./tuple").TupleType | import("./type-operator").TypeOperatorType | TypeParameterType | import("./union").UnionType | import("./unknown").UnknownType | import("./mapped").MappedType | import("./tuple-member").TupleNamedMemberType | import("./optional").OptionalType | undefined);
    /** @inheritdoc */
    clone(): TypeParameterType;
    /** @inheritdoc */
    stringify(wrapped: boolean): string;
    /** @inheritdoc */
    serialize(serializer: Serializer, init: BaseSerialized<TypeParameterType>): SerializedTypeParameterType;
}
export interface SerializedTypeParameterType extends Serialized<TypeParameterType, "name" | "constraint" | "defaultValue"> {
}
