import { Type, TypeKind } from "./abstract";
import type { Serializer, BaseSerialized, Serialized } from "../../serialization";
import type { SomeType } from ".";
/**
 * Represents an union type.
 *
 * ```ts
 * let value: string | string[];
 * ```
 */
export declare class UnionType extends Type {
    /** @inheritdoc */
    readonly kind = TypeKind.Union;
    /**
     * The types this union consists of.
     */
    types: SomeType[];
    constructor(types: SomeType[]);
    /** @inheritdoc */
    clone(): UnionType;
    /** @inheritdoc */
    stringify(wrapped: boolean): string;
    /** @inheritdoc */
    serialize(serializer: Serializer, init: BaseSerialized<UnionType>): SerializedUnionType;
}
export interface SerializedUnionType extends Serialized<UnionType, "types"> {
}
