import { getTheme } from "shiki";
export declare type Theme = Parameters<typeof getTheme>[0];
export declare type HighlightedToken = {
    content: string;
    class: string;
};
export declare class DoubleHighlighter {
    private light;
    readonly lightBg: string;
    private dark;
    readonly darkBg: string;
    private schemes;
    private reverseSchemes;
    static create(lightTheme: Theme, darkTheme: Theme): Promise<DoubleHighlighter>;
    private constructor();
    highlight(code: string, lang: string): string;
    /**
     * Alternative version of {@link highlight} which can be used with extra information is needed
     * rather than directly rendering to a string.
     * @param code
     * @param lang
     */
    getTokens(code: string, lang: string): HighlightedToken[][];
    getStyles(): string;
    private getClass;
}
