import type { ThemeContext } from "./renderer";
import { MinimalThemeRouter, ThemeRouter } from "./router";
export declare const defaultThemeDefinition: {
    readonly router: typeof ThemeRouter;
    readonly templates: import("./templates").Templates;
    readonly preRender: {
        readonly "default:theme-switcher": ({ hooks }: ThemeContext) => void;
        readonly "default:style.css": ({ hooks, router }: ThemeContext) => void;
        readonly "default:theme.css": ({ hooks, router }: ThemeContext) => void;
    };
    readonly postRender: {
        readonly "default:style.css": ({ outDir, router }: ThemeContext) => Promise<void>;
        readonly "default:theme.css": ({ outDir, router, highlighter }: ThemeContext) => Promise<void>;
        readonly "default:media": ({ app, outDir, router }: ThemeContext) => Promise<void> | undefined;
    };
};
export declare const minimalThemeDefinition: {
    readonly router: typeof MinimalThemeRouter;
    readonly preRender: {
        readonly "minimal:style": ({ hooks }: ThemeContext) => void;
    };
    readonly suppress: readonly ["default:style.css"];
};
