import { ReflectionKind, TypeKind, SomeReflection, SomeType, Reflection, Type } from "../models";
import type { ModelToObject } from "./schema";
export interface SerializeWorker<T extends Type | Reflection> {
    order: number;
    serialize(value: T, serialized: Partial<ModelToObject<T>>): Partial<ModelToObject<T>>;
}
export interface RegisterableSerializeWorker<T extends Type | Reflection> extends SerializeWorker<T> {
    kind: T["kind"];
}
export declare class Serializer {
    private _reflectionSerializers;
    private _typeSerializers;
    constructor();
    addReflectionSerializer(kinds: ReflectionKind, worker: SerializeWorker<SomeReflection>): void;
    addTypeSerializer(kinds: TypeKind, worker: SerializeWorker<SomeType>): void;
    toObject<T extends SomeType | SomeReflection>(value: T, init?: object): ModelToObject<T>;
    toObjects<T extends SomeType | SomeReflection>(values: T[]): ModelToObject<T>[];
}
