import type { Options } from "../options";
declare const IGNORED_OPTIONS: readonly ["out", "version", "help", "emitDeclarationOnly", "watch", "declaration", "declarationDir", "declarationMap", "mapRoot", "sourceMap", "inlineSources", "removeComments", "incremental", "tsBuildInfoFile"];
/**
 * The ignored option keys as a type.
 */
export declare type IgnoredTsOptionKeys = typeof IGNORED_OPTIONS[number];
/**
 * A list of all TypeScript parameters that should be ignored.
 */
export declare const IGNORED: ReadonlySet<string>;
/**
 * Discovers and contributes options declared by TypeScript.
 *
 * TypeDoc accepts many of the same options as TypeScript itself, so they must be parsed
 * from TypeScript's metadata and declared on TypeDoc's Option parser.
 */
export declare function addTSOptions(container: Options): void;
export {};
